project(tw_quicr)

# set(CMAKE_CXX_CLANG_TIDY "/usr/bin/clang-tidy;-checks=*")

file(GLOB FILES
    src/*.cpp
)

file(GLOB HEADERS
    include/*.hpp
)

add_library(${PROJECT_NAME} OBJECT ${FILES})
add_library(tw::quicr ALIAS ${PROJECT_NAME})
target_sources(${PROJECT_NAME}
    PUBLIC FILE_SET HEADERS
    BASE_DIRS include
    FILES ${HEADERS})


target_include_directories(${PROJECT_NAME}
        PUBLIC
        ${PROJECT_SOURCE_DIR}/include/
)

target_link_libraries(${PROJECT_NAME}
        PUBLIC
        tw::io
        tl::expected
        Tracy::TracyClient
        TracyClient
)

# add_subdirectory(./tests/)
